#!/bin/sh
# -*- mode: sh; fill-column: 75; tab-width: 8; coding: utf-8-unix -*-

ROLE=toxcore

PROG=exclude_badExits
build=build
dist=dist
# pyinstaller
if [ ! -e ${dist}/${PROG}.pyi -o ! ${dist}/${PROG}.pyi -nt ./${PROG}.py ] ; then
	[ -f ${PROG}.spec ] || pyi-makespec ./${PROG}.py -F -c
	[ -d ${build} ] || mkdir -p ${build}
	[ -d ${dist}  ] || mkdir -p ${dist}
	[ -e ${dist}/${PROG}.pyi -a ${dist}/${PROG}.pyi -nt ./${PROG}.py ] || \
		 pyinstaller --distpath ${dist} --workpath ${build} \
		--exclude tkinter --exclude matplotlib  \
		--exclude twisted --exclude jedi --exclude jaraco \
		--exclude sphinx --exclude coverage  --exclude nose \
		--exclude PIL --exclude numpy --exclude OpenGL \
		--exclude PySide2 --exclude PyQt5 --exclude IPython \
			--onefile -c --ascii \
			$PROG.py
	# AttributeError: 'NoneType' object has no attribute 'groups'
	# utils.py #400
fi
# cx_Freeze exclude_badExits.py
